# 5.5.1.1. eqcorrscan.utils.correlate.fftw_multi_normxcorr

`eqcorrscan.utils.correlate.``fftw_multi_normxcorr`(template_array, stream_array, pad_array, seed_ids)

  Use a C loop rather than a Python loop - in some cases this will be fast.

  Parameters: | template_array (dict) stream_array (dict) pad_array (dict) seed_ids (list)

  rtype: np.ndarray, list :return: 3D Array of cross-correlations and list of used channels.